org.apache.felix.bundleplugin

## Class AbstractDependencyFilter

- java.lang.Object
- - org.apache.felix.bundleplugin.AbstractDependencyFilter

- Direct Known Subclasses:
    DependencyEmbedder, DependencyExcluder

      public abstract class AbstractDependencyFilter
      extends Object

  Apply clause-based filter over given dependencies
  Author:
    Felix Project Team

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractDependencyFilter(Collection<org.apache.maven.artifact.Artifact> dependencyArtifacts)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `processDependencies(Collection<org.apache.maven.artifact.Artifact> dependencies, String inline)`
    `protected void` | `processInstructions(String header)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractDependencyFilter

          public AbstractDependencyFilter(Collection<org.apache.maven.artifact.Artifact> dependencyArtifacts)

  - ### Method Detail

    - #### processInstructions

          protected final void processInstructions(String header)
                                            throws org.apache.maven.plugin.MojoExecutionException

      Throws:
        `org.apache.maven.plugin.MojoExecutionException`

    - #### processDependencies

          protected abstract void processDependencies(Collection<org.apache.maven.artifact.Artifact> dependencies,
                                 String inline)

Copyright © 2015. All rights reserved.